Debian Bug report logs - #316626
Does nothing

version graph

Package: vim-vimoutliner; Maintainer for vim-vimoutliner is Patrick Schoenfeld <schoenfeld@debian.org>; Source for vim-vimoutliner is src:vimoutliner.

Reported by: "Andrew Archibald" <archibal@math.mcgill.ca>

Date: Sat, 2 Jul 2005 12:33:02 UTC

Severity: grave

Tags: sarge

Found in version 0.3.3-6

Done: Matej Cepl <matej@ceplovi.cz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matej Cepl <matej@ceplovi.cz>:
Bug#316626; Package vim-vimoutliner. Full text and rfc822 format available.

Acknowledgement sent to "Andrew Archibald" <archibal@math.mcgill.ca>:
New Bug report received and forwarded. Copy sent to Matej Cepl <matej@ceplovi.cz>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Andrew Archibald" <archibal@math.mcgill.ca>
To: submit@bugs.debian.org
Subject: Does nothing
Date: Sat, 2 Jul 2005 08:23:21 -0400 (EDT)
Subject: vim-vimoutliner: Does nothing
Package: vim-vimoutliner
Version: 0.3.3-6
Severity: normal

*** Please type your report below this line ***

I just installed vim-vimoutliner hoping to have a nice outliner.
However, if I simply open /usr/share/doc/vim-vimoutliner/demo1.otl, vim
does nothing unusual.  /usr/share/doc/vim-vimoutliner/README.Debian
sternly instructs me *not* to follow anyone else's installation
instructions, as it is installed already.  But it gives no installation
instructions itself, and the package does not work.  My first guess was
to copy /etc/vim/vimoutlinerrc to ~/.vimoutlinerrc and uncomment
everything; this made no difference.  Neither did modifying
/etc/vim/vimoutlinerrc.  My .vimrc contains the recommended lines;
moving it aside does not help.

Some sort of instruction should be provided on how to make the package
do something...

Andrew

My .vimrc: <<EOF
set nocompatible
set incsearch
set backspace=indent,eol
set noautoindent
set backup
set history=50
set ruler
set showcmd
map Q gq
if &t_Co > 2 || has("gui_running")
  syntax on
  set hlsearch
endif
filetype plugin indent on
syntax on
set showbreak=.
set linebreak
set guifont=Bitstream\ Vera\ Sans\ Mono\ 17


EOF

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-686
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)

Versions of packages vim-vimoutliner depends on:
ii  libpalm-perl                 1.3.0-4     Perl 5 modules for
manipulating pd
ii  libxml-writer-perl           0.531-1     Perl module for writing XML
docume
ii  perl                         5.8.4-8     Larry Wall's Practical
Extraction
ii  python                       2.3.5-2     An interactive high-level
object-o
ii  vim                          1:6.3-071+1 Vi IMproved - enhanced vi editor

-- no debconf information





Reply sent to Matej Cepl <matej@ceplovi.cz>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Andrew Archibald" <archibal@math.mcgill.ca>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at close@bugs.debian.org (full text, mbox):

From: Matej Cepl <matej@ceplovi.cz>
To: Andrew Archibald <archibal@math.mcgill.ca>, close@bugs.debian.org
Subject: Re: Bug#316626: Does nothing
Date: Sat, 2 Jul 2005 15:14:58 +0200
[Message part 1 (text/plain, inline)]
New version of vim-vimoutliner without these problems should be 
uploaded to debian any day now. Meantime, you can get the new 
package in the unofficial (and unsupported) location 
<http://www.ceplovi.cz/matej/progs/debian>.

Matej

On Saturday 02 of July 2005 14:23, Andrew Archibald wrote:
> Subject: vim-vimoutliner: Does nothing
> Package: vim-vimoutliner
> Version: 0.3.3-6
> Severity: normal
>
> *** Please type your report below this line ***
>
> I just installed vim-vimoutliner hoping to have a nice
> outliner. However, if I simply open
> /usr/share/doc/vim-vimoutliner/demo1.otl, vim does nothing
> unusual.  /usr/share/doc/vim-vimoutliner/README.Debian sternly
> instructs me *not* to follow anyone else's installation
> instructions, as it is installed already.  But it gives no
> installation instructions itself, and the package does not
> work.  My first guess was to copy /etc/vim/vimoutlinerrc to
> ~/.vimoutlinerrc and uncomment everything; this made no
> difference.  Neither did modifying /etc/vim/vimoutlinerrc.  My
> .vimrc contains the recommended lines; moving it aside does
> not help.
>
> Some sort of instruction should be provided on how to make the
> package do something...
>
> Andrew
>
> My .vimrc: <<EOF
> set nocompatible
> set incsearch
> set backspace=indent,eol
> set noautoindent
> set backup
> set history=50
> set ruler
> set showcmd
> map Q gq
> if &t_Co > 2 || has("gui_running")
>   syntax on
>   set hlsearch
> endif
> filetype plugin indent on
> syntax on
> set showbreak=.
> set linebreak
> set guifont=Bitstream\ Vera\ Sans\ Mono\ 17
>
>
> EOF
>
> -- System Information:
> Debian Release: 3.1
> Architecture: i386 (i686)
> Kernel: Linux 2.6.8-2-686
> Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
>
> Versions of packages vim-vimoutliner depends on:
> ii  libpalm-perl                 1.3.0-4     Perl 5 modules
> for manipulating pd
> ii  libxml-writer-perl           0.531-1     Perl module for
> writing XML docume
> ii  perl                         5.8.4-8     Larry Wall's
> Practical Extraction
> ii  python                       2.3.5-2     An interactive
> high-level object-o
> ii  vim                          1:6.3-071+1 Vi IMproved -
> enhanced vi editor
>
> -- no debconf information

-- 
Matej Cepl, http://www.ceplovi.cz/matej/blog/
GPG Finger: 89EF 4BC6 288A BF43 1BAB  25C3 E09F EF25 D964 84AC
138 Highland Ave. #10, Somerville, Ma 02143, (617) 623-1488
 
Why do you sit there looking like an envelope without any address
on it?
      -- Mark Twain
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matej Cepl <matej@ceplovi.cz>:
Bug#316626; Package vim-vimoutliner. Full text and rfc822 format available.

Acknowledgement sent to "Andrew Archibald" <archibal@math.mcgill.ca>:
Extra info received and forwarded to list. Copy sent to Matej Cepl <matej@ceplovi.cz>. Full text and rfc822 format available.

Message #15 received at 316626@bugs.debian.org (full text, mbox):

From: "Andrew Archibald" <archibal@math.mcgill.ca>
To: 316626@bugs.debian.org
Subject: Re: Bug#316626 acknowledged by developer (Re: Bug#316626: Does nothing)
Date: Sun, 3 Jul 2005 12:57:24 -0400 (EDT)
> It has been closed by one of the developers, namely
> Matej Cepl <matej@ceplovi.cz>.

Er, please don't close the bug until the package in stable actually works!
 Others may have the same problem - in fact probably anyone who tries to
use the package will have the problem, and it would be good if they could
find information about it in the BTS.  That's where I looked first.

> New version of vim-vimoutliner without these problems should be=20
> uploaded to debian any day now. Meantime, you can get the new=20
> package in the unofficial (and unsupported) location=20
> <http://www.ceplovi.cz/matej/progs/debian>.

Will it appear in stable?  What was wrong?

Thanks,
Andrew




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#316626; Package vim-vimoutliner. Full text and rfc822 format available.

Acknowledgement sent to Matej Cepl <matej@ceplovi.cz>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 316626@bugs.debian.org (full text, mbox):

From: Matej Cepl <matej@ceplovi.cz>
To: Andrew Archibald <archibal@math.mcgill.ca>, 316626@bugs.debian.org
Subject: Re: Bug#316626: acknowledged by developer (Re: Bug#316626: Does nothing)
Date: Sun, 3 Jul 2005 21:48:27 +0200
On Sunday 03 of July 2005 18:57, Andrew Archibald wrote:
> Er, please don't close the bug until the package in stable
> actually works!

That's not how things work with Debian bugs -- uploading into 
unstable is enough for bug to be closed. Next stable will be 
created some years down the road. Sorry.

Matej

-- 
Matej Cepl, http://www.ceplovi.cz/matej/blog/
GPG Finger: 89EF 4BC6 288A BF43 1BAB  25C3 E09F EF25 D964 84AC
 
He is not only dull himself, he is the cause of dullness in
others.
      -- Samuel Johnson



Information forwarded to debian-bugs-dist@lists.debian.org, Matej Cepl <matej@ceplovi.cz>:
Bug#316626; Package vim-vimoutliner. Full text and rfc822 format available.

Acknowledgement sent to "Andrew Archibald" <archibal@math.mcgill.ca>:
Extra info received and forwarded to list. Copy sent to Matej Cepl <matej@ceplovi.cz>. Full text and rfc822 format available.

Message #25 received at 316626@bugs.debian.org (full text, mbox):

From: "Andrew Archibald" <archibal@math.mcgill.ca>
To: "Matej Cepl" <matej@ceplovi.cz>, 316626@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#316626: reopening, flagging "sarge"
Date: Sun, 3 Jul 2005 18:21:03 -0400 (EDT)
reopen 316626
tags +sarge
quit

> On Sunday 03 of July 2005 18:57, Andrew Archibald wrote:
>> Er, please don't close the bug until the package in stable
>> actually works!
>
> That's not how things work with Debian bugs -- uploading into
> unstable is enough for bug to be closed. Next stable will be
> created some years down the road. Sorry.

Well, here's a possible solution - the problem certainly still exists in
sarge.  It can perhaps be fixed in the next point release; see the
stable-proposed-updates mechanism.

Andrew



Bug reopened, originator not changed. Request was from "Andrew Archibald" <archibal@math.mcgill.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from "Andrew Archibald" <archibal@math.mcgill.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matej Cepl <matej@ceplovi.cz>:
Bug#316626; Package vim-vimoutliner. Full text and rfc822 format available.

Acknowledgement sent to Vineet Kumar <vineet@doorstop.net>:
Extra info received and forwarded to list. Copy sent to Matej Cepl <matej@ceplovi.cz>. Full text and rfc822 format available.

Message #34 received at 316626@bugs.debian.org (full text, mbox):

From: Vineet Kumar <vineet@doorstop.net>
To: 316626@bugs.debian.org
Subject: description of fix
Date: Wed, 5 Oct 2005 14:56:13 -0700
[Message part 1 (text/plain, inline)]
There's not really enough detail in this bug report yet to tell whether
this is the same issue, but it sounds like it is.  Here's what I did to
get the package working on my installation:

remove these 3 lines:

if exists("did_load_filetypes")
  finish
endif

from /usr/share/vim/addons/ftdetect/vo_base.vim

I noticed that /usr/share/vim/vim63/filetype.vim sets this variable
to prevent itself from being loaded twice, and that it is set before
including addons/ftdetect/*.vim .  So by the time vo_base.vim gets
included, that variable is already set, and the default script just
exits.  Removing this check makes vimoutliner come to life when editing
*.otl.

good times,
Vineet
-- 
http://www.doorstop.net/
-- 
"Those who desire to give up freedom in order to gain security will not
have, nor do they deserve, either one."	--President Thomas Jefferson
[signature.asc (application/pgp-signature, inline)]

Reply sent to Matej Cepl <matej@ceplovi.cz>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Andrew Archibald" <archibal@math.mcgill.ca>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 316626-done@bugs.debian.org (full text, mbox):

From: Matej Cepl <matej@ceplovi.cz>
To: joey@debian.org
Cc: 316626-done@bugs.debian.org
Subject: Can I ask for inclusion of vim-vimoutliner to the next update of sarge?
Date: Tue, 20 Dec 2005 20:38:30 -0500
[Message part 1 (text/plain, inline)]
Hi,

it's all about bug# 316626 -- while last-minute uploading to 
sarge, I screwed up and vim-vimoutliner in sarge is basically 
not functional without further configuration by hand.

I know that it probably too late for sarge.1, but can you at 
least put it into the queue for the next release of sarge, 
please?

Thanks a lot,

Matej
-- 
Matej Cepl, http://www.ceplovi.cz/matej/blog/
GPG Finger: 89EF 4BC6 288A BF43 1BAB  25C3 E09F EF25 D964 84AC
 
The world is coming to an end!  Repent and return those library
books!
[smime.p7s (application/pkcs7-signature, attachment)]

Message #40 received at 316626-done@bugs.debian.org (full text, mbox):

From: Matej Cepl <matej@ceplovi.cz>
To: 376042-done@bugs.debian.org, 316626-done@bugs.debian.org
Subject: by mistake not closed in the last upload
Date: Thu, 06 Jul 2006 20:58:50 -0400
I have created one more version of the package for upload, and 
apparently BTS doesn't close all remaining bugs marked in 
previous versions in changelog as closed.



Severity set to `grave' from `normal' Request was from Matej Cepl <matej@ceplovi.cz> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 20:24:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:28:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.